import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
  state: { // 存放数据 和data类似
    userModulesView: 0, // 0 -- 查询；1 -- 记录
    workerId: '', // 获取服务记录的Id
    wokerName: ''
  },
  mutations: { // 用来修改state和getters里面的数据
    setUserModulesView(state, data) {
      state.userModulesView = data
    },
    setWorkerId (state, data) {
      state.workerId = data
    },
    setWokerName (state, data) {
      console.log(data,'data');
      state.wokerName = data
    }
  }
})